header {
  background-color: var(--white);
  box-shadow: 0 4px 8px var(--shadow);
  text-align: center;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 1000;
  transition: top 0.3s ease, box-shadow 0.3s ease;
}

header.hidden {
  top: -150px;
  transition: top 0.3s ease;
}

header.scrolled {
  box-shadow: 0 8px 16px var(--shadow);
}

header img {
  width: 120px;
  height: 50px;
  margin-right: 15px;
  vertical-align: middle;
  transition: transform 0.3s ease;
  margin-top: 10px;
  margin-bottom: 30px;
}

header img:hover {
  transform: scale(1.1);
}

nav {
  display: flex;
  justify-content: center;
  gap: 40px;
  align-items: center;
}

nav a {
  color: var(--text);
  text-decoration: none;
  font-weight: 600;
  font-size: 1.1em;
  padding: 5px 10px;
  border-radius: 5px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

nav a:hover {
  background-color: var(--primary);
  color: var(--white);
}

.desktop-nav {
  margin-left: 55px;
  margin-top: -20px;
  padding-bottom: 20px;
}
